Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq
Class ByLocationMinMaxComparator

    java.lang.Object
      org.biojava.bio.seq.ByLocationMinMaxComparator

All Implemented Interfaces:
  Comparator

    public class ByLocationMinMaxComparator

extends Object
implements Comparator

A Comparator similar to Feature.ByLocationComparator except that the min and max positions of the location are both compared

Since:
  1.5
Author:
  Mark Southern

Constructor Summary
`ByLocationMinMaxComparator()`

Method Summary
`static Comparator` | `comparator()`
`int` | `compare(Object o1, Object o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### ByLocationMinMaxComparator

    public ByLocationMinMaxComparator()

Method Detail

### comparator

    public static Comparator comparator()

### compare

    public int compare(Object o1,
                       Object o2)

  Specified by:
    `compare` in interface `Comparator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD